Fix “Can’t locate SVN/Core.pm in @INC” with Arch Linux

If you try to use git-svn with Arch Linux but are getting an strange-looking Perl error such as this:

[sole@courgette neonv2]$ git svn clone http://xplsv.com/svn_neon/
Can't locate SVN/Core.pm in @INC (@INC contains: /usr/share/perl5/site_perl /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib/perl5/core_perl /usr/share/perl5/core_perl .) at /usr/share/perl5/vendor_perl/Git/SVN/Editor.pm line 5.
BEGIN failed--compilation aborted at /usr/share/perl5/vendor_perl/Git/SVN/Editor.pm line 5.
Compilation failed in require at /usr/lib/git-core/git-svn line 26.
BEGIN failed--compilation aborted at /usr/lib/git-core/git-svn line 26.

Then maybe the reason is that you don’t have subversion installed–just as I didn’t have it either!

Installing it should do the trick, as it should be obvious by now: we need to be able to check out the subversion repo before pushing the data into git!! :-)

sudo pacman -S subversion

Done! :-)